%define upstream_name    Flickr-Upload
%define upstream_version 1.51

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Upload images to flickr.com
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Flickr/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Flickr::API) >= 1.90.0
BuildRequires: perl(Getopt::Long) >= 1.0.0
BuildRequires: perl(HTTP::Request::Common) >= 1.0.0
BuildRequires: perl(LWP::UserAgent) >= 1.0.0
BuildRequires: perl(Pod::Usage) >= 1.0.0
BuildRequires: perl(XML::Simple) >= 2.0.0
BuildRequires: perl-Flickr-API
BuildRequires: perl-XML-Parser-Lite-Tree
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
Upload an image to flickr.com

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std
# Should be in a new package as it requires additionnal libs
rm -f %{buildroot}%{_bindir}/thickr_upload

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Flickr
%{_mandir}/*/*
%{_bindir}/flickr_upload

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.510.0-3pclos2017
- rebuild against updates

